dnshandler_struct Struct Reference

`#include <dnshandler.h>`

## Data Fields

janitor_thread_t | thread_id
engine_type * | engine
listener_type * | interfaces
socklist_type * | socklist
netio_type * | netio
query_type * | query
netio_handler_type | xfrhandler
unsigned | need_to_exit
netio_handler_type * | tcp_accept_handlers

## Detailed Description

Definition at line 51 of file dnshandler.h.

## Field Documentation

## engine

engine_type* dnshandler_struct::engine

Definition at line 53 of file dnshandler.h.

Referenced by dnshandler_create(), and dnshandler_start().

## interfaces

listener_type* dnshandler_struct::interfaces

Definition at line 54 of file dnshandler.h.

Referenced by dnshandler_cleanup(), dnshandler_create(), dnshandler_listen(), and dnshandler_start().

## need_to_exit

unsigned dnshandler_struct::need_to_exit

Definition at line 59 of file dnshandler.h.

Referenced by dnshandler_create(), and dnshandler_start().

## netio

netio_type* dnshandler_struct::netio

Definition at line 56 of file dnshandler.h.

Referenced by dnshandler_cleanup(), dnshandler_create(), and dnshandler_start().

## query

query_type* dnshandler_struct::query

Definition at line 57 of file dnshandler.h.

Referenced by dnshandler_cleanup(), dnshandler_create(), and dnshandler_start().

## socklist

socklist_type* dnshandler_struct::socklist

Definition at line 55 of file dnshandler.h.

Referenced by dnshandler_cleanup(), dnshandler_create(), dnshandler_listen(), and dnshandler_start().

## tcp_accept_handlers

netio_handler_type* dnshandler_struct::tcp_accept_handlers

Definition at line 60 of file dnshandler.h.

Referenced by dnshandler_cleanup(), dnshandler_create(), and dnshandler_start().

## thread_id

janitor_thread_t dnshandler_struct::thread_id

Definition at line 52 of file dnshandler.h.

Referenced by dnshandler_listen(), dnshandler_signal(), and dnshandler_start().

## xfrhandler

netio_handler_type dnshandler_struct::xfrhandler

Definition at line 58 of file dnshandler.h.

Referenced by dnshandler_create(), and dnshandler_fwd_notify().

The documentation for this struct was generated from the following file:

- src/daemon/dnshandler.h